umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
Ui::RubyCodeGenerationFormBase Class Reference

`#include <ui_rubycodegenerationformbase.h>`

Inheritance diagram for Ui::RubyCodeGenerationFormBase:

## Additional Inherited Members
Public Member Functions inherited from Ui_RubyCodeGenerationFormBase
void | setupUi (QWidget *RubyCodeGenerationFormBase)
void | retranslateUi (QWidget *RubyCodeGenerationFormBase)
Public Attributes inherited from Ui_RubyCodeGenerationFormBase
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QLabel * | ui_textLabelTitle
QGroupBox * | ui_groupBoxDocumentation
QHBoxLayout * | hboxLayout
QLabel * | ui_textLabelStyle
KComboBox * | m_SelectCommentStyle
QGroupBox * | ui_groupBoxAutoGeneratedMethods
QVBoxLayout * | vboxLayout
QGridLayout * | gridLayout2
QCheckBox * | m_generateConstructors
QCheckBox * | m_generateAssocAccessors
QCheckBox * | m_generateAttribAccessors
QGridLayout * | gridLayout3
QLabel * | ui_textLabelAccessorScope
KComboBox * | m_accessorScopeCB
QGridLayout * | gridLayout4
QLabel * | ui_textLabelAssocFieldScope
KComboBox * | m_assocFieldScopeCB

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_rubycodegenerationformbase.h